org.codehaus.plexus.component.discovery

## Class DiscoveryListenerDescriptor

- java.lang.Object
- - org.codehaus.plexus.component.discovery.DiscoveryListenerDescriptor

    public class DiscoveryListenerDescriptor
    extends java.lang.Object

Version:
  $Id: DiscoveryListenerDescriptor.java 7089 2007-11-25 15:19:06Z jvanzyl $
Author:
  Jason van Zyl

### Constructor Summary

Constructors
Constructor and Description
`DiscoveryListenerDescriptor()`

### Method Summary

Methods
`java.lang.String` `getRole()`
`java.lang.String` `getRoleHint()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DiscoveryListenerDescriptor

    public DiscoveryListenerDescriptor()

### Method Detail

#### getRole

    public java.lang.String getRole()

#### getRoleHint

    public java.lang.String getRoleHint()